Léim ar ábhar
ShopentlyLearn

Cruthaigh · Leaganacha táirge — Athraithigh agus roghanna

Cruthaigh teaglamaí malairtí. Le haghaidh oibríochtaí comhtháthuithe seachtracha.

POST/api/v1/products/{product_id}/variants

Iarratas cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products/example/variants \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-create_variant_api_v1_products__product_id__variants_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"value_ids":["example"]}'

Freagra

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

Ceadanna riachtanacha

Fíordheimhniú
Comhartha rochtana
Ar fáil ó
STANDARD
Cead na heochrach
Cruthaigh teaglamaí malairtícatalog.product_variant:create